- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::null Class Reference

Null. More...

`#include <sbuild-null.h>`

List of all members.

## Static Private Member Functions
static const char * | null_output ()
| Get a string for output.
## Friends
template<class charT, class traits>
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &stream, null const &rhs)
| Null output to an ostream.

## Detailed Description

Null.

This class does nothing. It is used to represent an absence of context or detail.

## Member Function Documentation

const char * null::null_output | ( |  | ) | `[static, private]`

Get a string for output.

Returns:
  the word "unknown" (translated).

## Friends And Related Function Documentation

template<class charT, class traits>

std::basic_ostream<charT,traits>& operator<< | ( | std::basic_ostream< charT, traits > & | stream,
|  | null const & | rhs |
| ) |  |  | `[friend]`

Null output to an ostream.

Parameters:

  | stream | the stream to output to.
  | rhs | the null to output.

Returns:
  the stream.

The documentation for this class was generated from the following files:

- sbuild/sbuild-null.h
- sbuild/sbuild-null.cc